function [] = runPreview3(wavClick44100,  clickDBtimeMs, cntArr525, startClickNr, endClickNr, slow)
   % slow = 1 eller 2, 1 er normal
   
    load 'grafikk/pBelgSmall.mat'; % Fbe, Vbe   
    
   
    fsW = 44100;
    startSampW = floor(fsW*clickDBtimeMs(startClickNr) / 1000);
    endSampW = floor(fsW*clickDBtimeMs(endClickNr) / 1000);
    startSampW = max(1, startSampW);
    endSampW = min(size(wavClick44100, 1), endSampW);
    
     
    
    fsC = 525;
    startSamp = floor(fsC*clickDBtimeMs(startClickNr) / 1000);
    endSamp = floor(fsC*clickDBtimeMs(endClickNr) / 1000);
    startSamp = max(1, startSamp);
    endSamp = min(size(wavClick44100, 1), endSamp);
    
    framePerSec = fsC/30;
    sampDiffTime = framePerSec/fsC;
    cl = clock;
    cl = cl(4)*60*60 + cl(5)*60 + cl(6);

    figure(2);
    clf;
    [F, V] = agent3vid(-1*0.6, Fbe, Vbe);
    h1 = plotPoly(F(1:end/2, :), V, 'dark', 'edgeOff', 'col', [1 0.5 0.5]);
    
    sound(wavClick44100(startSampW:endSampW), fsW/slow); 
    for i = startSamp : framePerSec/slow : endSamp
        del = 0;
        cl_old = cl;
        while del < sampDiffTime
            cl = clock;
            cl = cl(4)*60*60 + cl(5)*60 + cl(6);
            del = cl - cl_old;
        end
        
        [~, V] = agent3vid(0.6*cntArr525(floor(i), 1), Fbe, Vbe);

        set(h1, 'Vertices', V);
 
        axis([-2.4154    1.1003   -0.3337    1.4241    0.3658    2.1236]);
        view(-145.7039, 5.4699);
        drawnow;
    end
    %close(2);
    
    figure(1);
    
    
end
